ERPNext v10 Setup Wizard Issue in Develop branch

Hello All,

I have latest Develop branch of ERPNext and Frappe,
ERPNext Develop branch Version = '10.1.23’
Frappe Develop branch Version = '10.1.24’

Created new-site and installed ERPNext using command.

now when i try to setup the ERPNext wizard it will give the error, see the below screen shot for more information.

note: Also i tried reinstall but still the same issue.

Please give me suggestion, how can i resolve it? :thinking:

Thanks in advance.

@yogendrasinh

Can you create a GitHub issue for this? It seems to be a common problem now.

Hello @yogendrasinh,

I am facing similar type of issue while install erpnext app using develop branch.

File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 245, in insert
self.run_post_save_methods()
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 887, in run_post_save_methods
self.run_method(“on_update”)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 755, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 1029, in composer
return composed(self, method, *args, **kwargs)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 1012, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/model/document.py”, line 749, in
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/core/doctype/doctype/doctype.py”, line 234, in on_update
self.run_module_method(“on_doctype_update”)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/core/doctype/doctype/doctype.py”, line 298, in run_module_method
module = load_doctype_module(self.name, self.module)
File “/home/serpentcs/erpnext_project/frappe-bench/apps/frappe/frappe/modules/utils.py”, line 187, in load_doctype_module
raise ImportError(‘Module import failed for {0} ({1})’.format(doctype, module_name + ’ Error: ’ + str(e)))
ImportError: Module import failed for Sales Invoice (erpnext.accounts.doctype.sales_invoice.sales_invoice Error: No module named cache_manager)

Any one can help me.

Thanks.